## singular 4.0.2-p2+ds

=== debian/changelog ===
singular (4.0.2-p2+ds-3) unstable; urgency=medium

  * FTBFS fix (Closes: #804892), harden omalloc check.
  * Debianization:
    - debian/patches/upstream-tests-omalloc-getlucky.patch, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 14 Nov 2015 04:38:52 +0000

singular (4.0.2-p2+ds-2) unstable; urgency=medium

  * FTBFS fix (Closes: #804186), render deterministic an undeterministic check.
  * Debianization:
    - debian/rules, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 05 Nov 2015 21:31:15 +0000

singular (4.0.2-p2+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control, Vcs-Browser field correction;
    - debina/patches/*:
      - git-version-gen, harden;
      - refresh;
      - minor fix (submitted).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 04 Nov 2015 04:07:40 +0000

singular (4.0.2-p1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/watch, update;
    - debian/repack, update;
    - debian/patches/ patches:
      - git-version-gen echoes now the debian package version
        with prefix "debian-" instead of a fancy git number;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 15 Oct 2015 21:13:15 +0000

singular (4.0.2+ds-1) unstable; urgency=medium

  * New upstream version, integrate most of submitted upstream patches.
  * Upload to unstable.
  * Debianization:
    - debian/patches/debianization-rename-pkgconfig_files.patch, prepend
      singular- to the singular related modules within the metainformation
      singular pkg-config files;
    - debian/patches/ patches:
      - micro upstream fixes;
      - minor Debian adaptations;
      - refresh.
  * Upstream fixes have been pulled for request to the Singular Team.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 03 Aug 2015 00:12:09 +0000

singular (4.0.1p2+ds-1) experimental; urgency=medium

  * New major release started from scratch (Closes: #764475).
  * Debianization:
    - debian/copyright in DEP-5 format;
    - debian/control:
      - debhelper build-dep to >= 9;
      - Standards Version 3.9.6;
      - Vcs-* headers;
    - debian/source, format 3.0 (quilt);
    - build-arch/build-indep scheme, implement;
    - debian/patches/ patches:
      - in DEP-3 format;
      - prepend singular- to every Singular libraries for avoiding
        possible conflicts;
      - gather headers in a package include folder for the same reason;
      - manual page generated via help2man;
      - minor upstream fixes;
      - minor Debian adaptations;
    - debian/watch file;
    - debian/repack, repack script to clean up and gain weight;
    - debian/rules:
      - autoreconf-iguration;
      - full dh integration;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - gpg-signature check support, neutralize.
  * Minor fixes, enhancements, request for a better source tarball were
    submitted and have been integrated; thanks to the Singular Team.
  * Upstream fixes and enhancemens have been pulled for request to the
    Singular Team.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Feb 2015 16:46:56 +0000

singular (3-0-4-3.dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing the FTBFS (wrong compilation Makefile target and other
    issues, closes: #584339).
  * Really update libreadline-dev dependency (last revision only changed
    it in control.in).

 -- Giovanni Mascellani <gio@debian.org>  Tue, 10 Aug 2010 11:56:22 +0200

singular (3-0-4-3.dfsg-3) unstable; urgency=low

  * Update readline dependency to "libreadline-dev", not
    "libreadline5-dev".

 -- Tim Abbott <tabbott@mit.edu>  Fri, 18 Sep 2009 19:48:47 -0400

singular (3-0-4-3.dfsg-2) unstable; urgency=low

  * Change singuname architecture detection to support Linux on
    architectures unknown to the Singular build system. (Closes: #493492).

 -- Tim Abbott <tabbott@mit.edu>  Sat, 02 Aug 2008 21:45:51 -0400

singular (3-0-4-3.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #383515).

 -- Tim Abbott <tabbott@mit.edu>  Tue, 08 Jul 2008 19:12:19 -0400
