=== debian/rules ===
#!/usr/bin/make -f

DEB_PKG_DIR = $(abspath $(dir $(filter %rules, $(MAKEFILE_LIST))))
export DEB_PKG_VERSION = $(shell dpkg-parsechangelog -l$(DEB_PKG_DIR)/changelog -S Version)

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_build-indep:
	make -C dox html

override_dh_auto_test-arch:
	chmod a+x omalloc/getlucky-omtTest-X.sh
	dh_auto_test -a

override_dh_auto_test-indep:

DEB_AUTO_INSTALL_MAKEFLAGS = TOPSRCDIR=$(CURDIR) DESTDIR=$(CURDIR)/debian/tmp
override_dh_auto_install-indep:
	make -C dox install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)

override_dh_link-arch:
	dh_link -p libsingular4-dev \
		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Singular.pc /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/singular.pc

override_dh_strip-arch:
	dh_strip -a --dbg-package=libsingular4-dbg

get-orig-source:
	uscan --no-conf --download-current-version --verbose
