## singular 4.0.3+ds

=== debian/changelog ===
singular (4.0.3+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.7 (no change);
      - Homepage and Vcs-* fields, secure;
      - debug symbol package, drop off in favour of automatic generation;
      - upgrade scheme, harden (Closes: #800961);
    - debian/copyright, refresh;
    - debian/rules:
      - debug symbol package, drop off in favour of automatic generation;
    - debian/repack, harden;
    - minor fix (submitted).

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 23 Feb 2016 02:55:40 +0000
