=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,5 @@
 	dh_link -p libsingular4-dev \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Singular.pc /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/singular.pc
 
-override_dh_strip-arch:
-	dh_strip -a --dbg-package=libsingular4-dbg
-
 get-orig-source:
 	uscan --no-conf --download-current-version --verbose
