=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,uversionmangle=s/p/-p/ \
http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/SOURCES/([\d-]+)/ singular-([\d\.]+|[\d\.]+p\d+)\.tar\.gz \
debian sh debian/repack
