## singular 4.0.3-p1+ds

=== debian/changelog ===
singular (4.0.3-p1+ds-1) unstable; urgency=medium

  * New upstream version (Closes: #811855).
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.8 (no change);
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
    - debian/patches/:
      - d/p/upstream-lintian-spelling-error-silence.patch, refresh;
      - d/p/upstream-autotools-DESTDIR.patch, introduce;
      - d/p/upstream-autotools-singular_idx.patch, introduce;
      - d/p/upstream-reproducible.patch, introduce;
    - provide doc `as is'.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 28 Apr 2016 18:04:58 +0000
