=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://www.singular.uni-kl.de/
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/singular.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/singular.git
@@ -94,7 +94,7 @@
  singular-ui (= ${binary:Version}),
  graphviz, 4ti2, normaliz, surf-alggeo,
  python-polybori (>= 0.8.3)
-Suggests: graphicsmagick-imagemagick-compat | imagemagick
+Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -109,6 +109,7 @@
 Architecture: any
 Depends: libsingular4 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
+Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign
 Replaces: singular (<< 4)
 Breaks: singular (<< 4)
@@ -122,6 +123,7 @@
 Package: singular-ui-emacs
 Architecture: any
 Depends: singular-ui (= ${binary:Version}), emacs, ${shlibs:Depends}, ${misc:Depends}
+Recommends: singular-doc (= ${source:Version})
 Multi-Arch: foreign
 Replaces: singular (<< 4)
 Breaks: singular (<< 4)
@@ -150,10 +152,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests:
- singular (= ${binary:Version}),
- pdf-viewer,
- www-browser
+Enhances: singular-data (= ${source:Version}), singular-ui-emacs (= ${binary:Version})
+Suggests: singular (= ${binary:Version}), pdf-viewer, www-browser
 Multi-Arch: foreign
 Description: Computer Algebra System for Polynomial Computations -- user documentation
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
