=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DEB_PKG_DIR = $(abspath $(dir $(filter %rules, $(MAKEFILE_LIST))))
 export DEB_PKG_VERSION = $(shell dpkg-parsechangelog -l$(DEB_PKG_DIR)/changelog -S Version)
@@ -24,9 +26,16 @@
 override_dh_auto_install-indep:
 	make -C dox install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)
 
+##override_dh_compress-indep:
+##	dh_compress -X.pdf
+
 override_dh_link-arch:
 	dh_link -p libsingular4-dev \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Singular.pc /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/singular.pc
 
+override_dh_link-indep:
+	dh_link -p singular-doc \
+		/usr/share/info/singular.hlp.gz /usr/share/info/singular.info.gz
+
 get-orig-source:
-	uscan --no-conf --download-current-version --verbose
+	uscan --no-conf --download-current-version --compression xz --verbose
