## singular 4.0.3-p3+ds

=== debian/changelog ===
singular (1:4.0.3-p3+ds-5) unstable; urgency=medium

  * Debianization:
    - debian/rules, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 15 Nov 2016 11:04:57 +0000

singular (1:4.0.3-p3+ds-4) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - transition, polybori -> brial;
    - debian/gbp.conf, revisit (default distribution: unstable);
    - debian/patches/upstream-lintian-spelling-error-silence.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 15:45:27 +0000

singular (1:4.0.3-p3+ds-3) unstable; urgency=medium

  * Debianization:
    - version epoch (deb-version(1)), bump (see d/README.source for rationale);
    - debian/README.source, introduce;
    - debian/gbp.conf, set up.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 08 Nov 2016 15:29:55 +0000

singular (4.0.3-p3+ds-2) unstable; urgency=medium

  * RC fix (Closes: #840481), fix readline 6 to 7 migration issue.
  * Debianization:
    - debian/rules, do not compress .hlp data files (for now).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 14 Oct 2016 22:41:33 +0000

singular (4.0.3-p3+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Build-Depends, migrate to libreadline-dev;
    - debian/patches/:
      - discard integrated and/or obsoleted patches:
        - upstream-bug-831072-gcc_6_1_1-segfault.patch
        - upstream-bug-831072-hidden-segfault.patch
        - upstream-reproducible.patch
        - upstream-autotools-DESTDIR.patch
        - upstream-autotools-singular_idx.patch .

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 09 Oct 2016 11:47:58 +0000

singular (4.0.3-p1+ds-4) unstable; urgency=medium

  * RC fix (Closes: #837016), fix ax_prog_doxygen.m4 update issue.
  * Debianization:
    - debian/patches/:
      - d/p/upstream-lintian-spelling-error-silence.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 29 Sep 2016 10:48:09 +0000

singular (4.0.3-p1+ds-3) unstable; urgency=medium

  * RC fix (Closes: #831072), fix gcc-6 transition issue.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 25 Jul 2016 22:13:13 +0000

singular (4.0.3-p1+ds-2) unstable; urgency=medium

  * FTBFS fix (Closes: #806108), fix indep build failure.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Apr 2016 15:03:31 +0000
