=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	dh $@ --with autoreconf --parallel
 
 override_dh_auto_build-indep:
-	make -C dox html
+	dh_auto_build -i
+	$(MAKE) -C dox html
 
 override_dh_auto_test-arch:
 	chmod a+x omalloc/getlucky-omtTest-X.sh
@@ -24,10 +25,12 @@
 
 DEB_AUTO_INSTALL_MAKEFLAGS = TOPSRCDIR=$(CURDIR) DESTDIR=$(CURDIR)/debian/tmp
 override_dh_auto_install-indep:
-	make -C dox install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)
+	dh_auto_install -i
+	$(MAKE) -C dox install-html $(DEB_AUTO_INSTALL_MAKEFLAGS)
 
-##override_dh_compress-indep:
-##	dh_compress -X.pdf
+## WARNING: documentation might not be clean
+override_dh_compress-indep:
+	dh_compress -X.hlp
 
 override_dh_link-arch:
 	dh_link -p libsingular4-dev \
