## singular 4.0.3-p4+ds

=== debian/changelog ===
singular (4.0.3-p4+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*.patch:
      - Origin field, correct;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 20 Oct 2016 23:58:53 +0000
