=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
  debhelper (>= 9),
- autotools-dev, autoconf-archive, dh-autoreconf, libtool, help2man,
- libreadline6-dev,
+ autotools-dev, autoconf-archive (>= 20160320), dh-autoreconf, libtool, help2man,
+ libreadline-dev,
  libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
  graphviz, 4ti2, normaliz, surf-alggeo,
  python-polybori (>= 0.8.3)
