## singular 4.1.0-p3+ds

=== debian/changelog ===
singular (1:4.1.0-p3+ds-2build1) bionic; urgency=medium

  * No-change rebuild using mpfr 4.0.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jan 2018 11:57:48 +0100

singular (1:4.1.0-p3+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 07 May 2017 13:04:10 +0000

singular (1:4.1.0-p3+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/patches/, refreshment;
    - singular.hlp management, correct (Closes: #856871).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 28 Apr 2017 12:40:35 +0000

singular (1:4.1.0-p2+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/control, update;
    - d/patches/*, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Feb 2017 07:41:13 +0000

singular (1:4.1.0-p1+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright, refresh;
    - debian/rules, harden;
    - debian/*, correct typo.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 21 Nov 2016 05:25:14 +0000

singular (1:4.0.3-p5+ds-1) experimental; urgency=medium

  * Debianization:
    - debian/patches/upstream-lintian-spelling-error-silence.patch, update.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 14:03:39 +0000

singular (1:4.0.3-p4+ds-2) experimental; urgency=medium

  * Debianization:
    - version epoch (deb-version(1)), bump (see d/README.source for rationale);
    - debian/README.source, introduce;
    - debian/gbp.conf, set up (default debian-branch: experimental);
    - debian/control:
      - transition, polybori -> brial.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 09 Nov 2016 03:20:28 +0000
