=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libreadline-dev,
  libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
  graphviz, 4ti2, normaliz, surf-alggeo,
- python-polybori (>= 0.8.3)
+ python-brial
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
@@ -93,7 +93,7 @@
 Recommends:
  singular-ui (= ${binary:Version}),
  graphviz, 4ti2, normaliz, surf-alggeo,
- python-polybori (>= 0.8.3)
+ python-brial
 Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
