=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,9 @@
 	dh_link -p libsingular4-dev \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Singular.pc /usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/singular.pc
 
-override_dh_link-indep:
-	dh_link -p singular-doc \
-		/usr/share/info/singular.hlp.gz /usr/share/info/singular.info.gz
+##override_dh_link-indep:
+##	dh_link -p singular-doc \
+##		/usr/share/info/singular.hlp.gz /usr/share/info/singular.info.gz
 
 get-orig-source:
 	uscan --no-conf --download-current-version --compression xz --verbose
