=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds//,uversionmangle=s/p/-p/,repacksuffix=+ds \
http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/SOURCES/([\d-]+)/ singular-([\d\.]+|[\d\.]+p\d+)\.tar\.gz
