## singular 4.1.1-p2%2Bds

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 9),
- autotools-dev, autoconf-archive (>= 20160320), dh-autoreconf, libtool, help2man,
+ debhelper (>= 11),
+ autoconf-archive (>= 20160320), libtool, help2man,
  libreadline-dev,
  libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
  graphviz, 4ti2, normaliz, surf-alggeo,
- python-brial
+ python3-brial
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://www.singular.uni-kl.de/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/singular.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/singular.git
+Vcs-Git: https://salsa.debian.org/science-team/singular.git
+Vcs-Browser: https://salsa.debian.org/science-team/singular
 
 Package: singular
 Architecture: any
@@ -28,13 +28,14 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4
+Package: libsingular4m1
 Provides: libsingular
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsingular
+Breaks: libsingular, libsingular4 (= 1:4.1.1-p2+ds-2)
+Replaces: libsingular4 (= 1:4.1.1-p2+ds-2)
 Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations -- library package
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
@@ -47,7 +48,7 @@
 Provides: libsingular-dev
 Section: libdevel
 Architecture: any
-Depends: libsingular4 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
+Depends: libsingular4m1 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
 Conflicts: libsingular-dev
 Suggests: pkg-config, singular-dev-doc (= ${binary:Version})
 Multi-Arch: same
@@ -76,7 +77,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -93,7 +94,7 @@
 Recommends:
  singular-ui (= ${binary:Version}),
  graphviz, 4ti2, normaliz, surf-alggeo,
- python-brial
+ python3-brial
 Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -107,7 +108,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m1 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign
