## singular 4.1.1-p2+ds

=== debian/changelog ===
singular (1:4.1.1-p2+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Import backport patch from upstream for sagemath 8.3 .
  * Debianization:
    - debian/patches/*:
      - d/p/patches/upstream-backport-ntl-error-handler.patch , import.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Oct 2018 11:29:10 +0000

singular (1:4.1.1-p2+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/singular-doc.docs, update;
    - debian/patches/*:
      - d/p/upstream-fix-lintian-spelling.patch , integrated;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 Apr 2018 16:47:36 +0000

singular (1:4.1.1-p1+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - copyright year tuples, refresh;
      - Files-Excluded field, update;
    - debian/control:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.1.3 (no change);
      - Vcs-* fields, migrate to Salsa;
    - debian/rules:
      - get-orig-source target, compression option, move to d/watch ;
    - debian/patches/*:
      - d/p/debianization-4ti2.patch , obsoleted by upstream;
      - update;
    - debian/watch:
      - compression option, add.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 30 Mar 2018 11:20:12 +0000
