=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libreadline-dev,
  libgmp-dev, libmpfr-dev, libglpk-dev, libcdd-dev, libflint-dev, libntl-dev,
  graphviz, 4ti2, normaliz, surf-alggeo,
- python3-brial
+ python-brial
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
@@ -28,14 +28,13 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4m1
+Package: libsingular4
 Provides: libsingular
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libsingular, libsingular4 (= 1:4.1.1-p2+ds-2)
-Replaces: libsingular4 (= 1:4.1.1-p2+ds-2)
+Conflicts: libsingular
 Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations -- library package
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
@@ -48,7 +47,7 @@
 Provides: libsingular-dev
 Section: libdevel
 Architecture: any
-Depends: libsingular4m1 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
+Depends: libsingular4 (= ${binary:Version}), libsingular4-dev-common (= ${source:Version}), ${misc:Depends}
 Conflicts: libsingular-dev
 Suggests: pkg-config, singular-dev-doc (= ${binary:Version})
 Multi-Arch: same
@@ -77,7 +76,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4m1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -94,7 +93,7 @@
 Recommends:
  singular-ui (= ${binary:Version}),
  graphviz, 4ti2, normaliz, surf-alggeo,
- python3-brial
+ python-brial
 Suggests: singular-doc (= ${source:Version}), graphicsmagick-imagemagick-compat | imagemagick
 Multi-Arch: foreign
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -108,7 +107,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4m1 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign
