=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_PKG_DIR = $(abspath $(dir $(filter %rules, $(MAKEFILE_LIST))))
-export DEB_PKG_VERSION = $(shell dpkg-parsechangelog -l$(DEB_PKG_DIR)/changelog -S Version)
+export DEB_PKG_VERSION = $(DEB_VERSION)
 
 export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -11,7 +11,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
@@ -41,4 +41,4 @@
 ##		/usr/share/info/singular.hlp.gz /usr/share/info/singular.info.gz
 
 get-orig-source:
-	uscan --no-conf --download-current-version --compression xz --verbose
+	uscan --no-conf --download-current-version --verbose
