## singular 4.2.1-p2+ds

=== debian/changelog ===
singular (1:4.2.1-p2+ds-3) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/control:
      - Build-Depends field, add bison;
    - d/rules:
      - override_dh_auto_configure target, add option --enable-streamio
        (Closes: #974103);
    - d/patches/*:
      - d/p//upstream-fix-factoryconf_h-include.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 Dec 2021 13:33:59 +0000

singular (1:4.2.1-p2+ds-2) experimental; urgency=medium

  * Debinization:
    - d/control:
      - debhelper, bump to version 12;
      - Build-Depends list, remove python-is-python3 and add topcom;
      - library package, rename libsingular4m2n1;
    - d/rules:
      - PYTHON environment variable, export;
      - override_dh_auto_configure target, introduce to honor libexec;
    - d/patches/*:
      - d/p/upstream-source-typo.patch, introduce (Closes: #965090);
      - d/p/upstream-source-lintian-spelling.patch, introduce;
    - d/singular-ui-emacs.install, add .emacs-* Emacs initializations
        files (Closes: #965089);
    - d/singular-modules.install, now honor libexec;
    - d/singular-modules.lintian-overrides, provide explanation;
    - d/libsingular4-dev{,-common}.lintian-overrides, provide comment;
    - d/upstream/metadata, introduce;
    - d/compat, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Nov 2021 19:24:24 +0000

singular (1:4.2.1-p2+ds-1) experimental; urgency=medium

  * New minor upstream version (Closes: #992003).
  * Debianization:
    - d/control:
      - Build-Depends list, add python-is-python3;
      - Rules-Requires-Root, introduce and set to no;
      - Standards Version, bump to 4.6.0 (no change);
    - d/copyright:
      - machine-readable copyright file URI, fix;
      - copyright year tuples, update;
      - Files-Excluded list, refresh;
      - obsoleted Files entries, clean up;
    - d/patches/*, update;
    - d/singular-doc.{docs,info}, migrate from hlp to info;
    - d/*singular*.{install,lintian-overrides}, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 21 Nov 2021 20:39:00 +0000

singular (1:4.1.2-p1+ds-2) experimental; urgency=medium

  * Debianization:
    - migration to Python3 (Closes: #943272);
    - debian/copyright, update.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 09 Jan 2020 20:32:43 +0000

singular (1:4.1.2-p1+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright, revisit;
    - debian/control:
      - Standards Version, bump to 4.4.1 (no change);
      - Depends field, libsingular4-dev, harden;
    - debian/rules:
      - override_dh_compress-indep target, no more compress singular.idx;
    - debian/sigular-doc.*:
      - d/singular-doc.{docs,info}, now distribute singular.hlp as info file;
    - debian/patches/*:
      - d/p/upstream-fix-lintian-spelling_error-silence.patch, integrated;
      - d/p/debianization-adhoc-info.patch, introduce;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Nov 2019 17:00:18 +0000

singular (1:4.1.1-p4+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control,
      - suffix library package wrt major and minor and nano version numbers
        to prevent from RC bugs, see #910808;
    - debian/copyright:
      - Copyright year tuples, update;
    - debian/control:
      - Standards Version, bump to 4.3.0 (no change);
    - debian/watch:
      - upstream URL, secure;
    - debian/patches/*:
      - d/p/upstream-autotools_pedant-harmonize-librelease.patch, integrated;
      - d/p/upstream-fix-lintian-spelling_error-silence.patch, submit;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 12 Jan 2019 08:17:59 +0000

singular (1:4.1.1-p3+ds-3) experimental; urgency=medium

  * Administrivia release: git merge.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Oct 2018 12:55:03 +0000

singular (1:4.1.1-p2+ds-3) unstable; urgency=medium

  * RC fix (Closes: #910808), suffix library package wrt major and minor
    version numbers.
  * Debianization:
    - debian/patches:
      - d/p/upstream-autotools_pedant-harmonize-librelease.patch, introduce;
      - d/p/debianization-prefix_libreleases.patch, introduce;
    - debian/rules:
      - export UPS_VERSION_UPSTREAM, introduce to prefix libreleases when
        necessary to avoid conflict (see d/p/d-prefix_libreleases.patch).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Oct 2018 08:35:09 +0000

singular (1:4.1.1-p3+ds-2) experimental; urgency=medium

  * Administrivia release: git merge.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Oct 2018 14:36:23 +0000

singular (1:4.1.1-p3+ds-1) experimental; urgency=medium

  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.2.0 (no change);
    - debian/rules:
      - get-orig-source target, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Aug 2018 15:18:08 +0000
