## singular 4.2.1-p3%2Bds

=== debian/changelog ===
singular (1:4.2.1-p3+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/copyright, refresh;
    - d/patches/*:
      - d/p/upstream-source-lintian-spelling.patch, renew;
      - d/p/upstream-source-typo.patch, integrated;
      - d/p/upstream-fix-conflict-Givaro.patch, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 17 Dec 2021 20:20:53 +0000

singular (1:4.2.1-p2+ds-6) unstable; urgency=medium

  * Debianization:
    - d/{p/debianization-{resources,-adhoc-info}.patch,
         singular-doc.{docs,info,install}} rationalize
         (Closes: #1001806).

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 16 Dec 2021 20:39:36 +0000

singular (1:4.2.1-p2+ds-5) unstable; urgency=medium

  * Debianization:
    - d/control:
      - libsingular4m2n1 package entries, sanitize (Closes: #1001658);
      - singular package, mark `Multi-Arch: same'.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 14 Dec 2021 20:27:46 +0000

singular (1:4.2.1-p2+ds-4) unstable; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-conflict-Givaro.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 14 Dec 2021 19:21:46 +0000
