## singular 4.2.1-p3+ds

=== debian/changelog ===
singular (1:4.2.1-p3+ds-2) unstable; urgency=medium

  * FTBFS fix release, migration to GCC 12 (Closes: #1013038).
  * Debianization:
    - d/p/upstream-import-gcc12.patch, fixing patch imported from Sage;
    - d/copyright:
      - copyright year tuples, update;
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/libsingular4m2n1.lintian-overrides, update;
    - d/s/lintian-overrides:
      - source-is-missing, neutralize.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 30 Jul 2022 14:42:15 +0000
