=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends-Indep:
  doxygen,
  rdfind, symlinks
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.singular.uni-kl.de/
 Vcs-Git: https://salsa.debian.org/science-team/singular.git
 Vcs-Browser: https://salsa.debian.org/science-team/singular
@@ -22,6 +22,7 @@
 Package: singular
 Architecture: any
 Depends: singular-ui, singular-data, singular-modules, ${misc:Depends}
+Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
  emphasis on the special needs of commutative algebra, algebraic geometry,
@@ -30,13 +31,10 @@
  This dummy package provides the standard installation.
 
 Package: libsingular4m2n1
-Provides: libsingular
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libsingular (<< 4), libsingular4 (= 1:4.1.1-p2+ds-2)
-Replaces: libsingular4 (= 1:4.1.1-p2+ds-2)
 Multi-Arch: same
 Description: Computer Algebra System for Polynomial Computations -- library package
  SINGULAR is a Computer Algebra System (CAS) for polynomial computations with
