## singular 4.3.1

=== Singular/dyn_modules/machinelearning/ml_python/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 coverage==4.5.4
-numpy==1.16.1
+numpy==1.22.0
 #pandas==0.24.0
 pylint==2.3.0
 pytest==5.0.1
