## singular 4.3.1-p2+ds

=== debian/changelog ===
singular (1:4.3.1-p2+ds-2) unstable; urgency=medium

  * Upload to unstable (closes: #1023360).
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-autotools-libpolys-modules.patch, introduce
        (Closes: #1020380).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Dec 2022 11:20:51 +0000

singular (1:4.3.1-p2+ds-1) experimental; urgency=medium

  * New upstream micro version.
  * Debianization:
    - various janitorial changes.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Sep 2022 17:58:16 +0000

singular (1:4.3.1-p1+ds-1) experimental; urgency=medium

  * New upstream micro version.
  * Debianization:
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/patches/*:
      - d/p/upstream-update-README_pkg-debian.patch, introduce;
      - d/p/debianization-resources.patch, refresh;
    - d/singular-doc.docs, update;
    - d/s/lintian-overrides:
      - source-is-missing, neutralize.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Jul 2022 19:07:13 +0000

singular (1:4.3.0-p1+ds-3) experimental; urgency=medium

  * RC bug fix (closes: #1012407), upgrade lib package name.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 12 Jun 2022 12:59:04 +0000

singular (1:4.3.0-p1+ds-2) experimental; urgency=medium

  * Debianization:
    - d/watch:
      - upstream site address, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 22 May 2022 16:22:37 +0000

singular (1:4.3.0-p1+ds-1) experimental; urgency=medium

  * New upstream patch version.
  * Debianization:
    - policy change: singular.info now in /u/s/info as expected;
    - d/control:
      - Maintenance, migrate to Debian Math Team.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 06 Mar 2022 15:21:16 +0000

singular (1:4.3.0+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - copyright year tuples, update;
    - d/patches/*:
      - d/p/upstream-source-lintian-spelling.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 15 Jan 2022 14:26:58 +0000
