=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: singular
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
@@ -16,8 +16,8 @@
  rdfind, symlinks
 Standards-Version: 4.6.1
 Homepage: https://www.singular.uni-kl.de/
-Vcs-Git: https://salsa.debian.org/science-team/singular.git
-Vcs-Browser: https://salsa.debian.org/science-team/singular
+Vcs-Git: https://salsa.debian.org/math-team/singular.git
+Vcs-Browser: https://salsa.debian.org/math-team/singular
 
 Package: singular
 Architecture: any
@@ -30,7 +30,7 @@
  .
  This dummy package provides the standard installation.
 
-Package: libsingular4m2n1
+Package: libsingular4m3n0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -48,7 +48,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libsingular4m2n1 (= ${binary:Version}),
+ libsingular4m3n0 (= ${binary:Version}),
  libsingular4-dev-common (= ${source:Version}),
  libgmp-dev,
  libflint-dev,
@@ -83,7 +83,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libsingular4m2n1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m3n0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Replaces: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
 Breaks: singular (<< 4), libsingular (<< 4), libsingular-3-0-4-3
@@ -114,7 +114,7 @@
 
 Package: singular-ui
 Architecture: any
-Depends: libsingular4m2n1 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsingular4m3n0 (= ${binary:Version}), singular-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: singular-modules (= ${binary:Version})
 Suggests: singular-doc (= ${source:Version})
 Multi-Arch: foreign
